Attribute VB_Name = "modMisc"
Option Explicit
Global Const APPLICATION = "UnZixWin"
'useful error constants
Global Const ERR_UNZIX_BASE = vbObjectError + 36000
Global Const ERR_PARSEERROR = ERR_UNZIX_BASE + 1
Global Const ERR_UNRECOGNIZED_KEY = ERR_UNZIX_BASE + 2
Global Const ERR_UNEXPECTED_CHAR = ERR_UNZIX_BASE + 3
Global Const ERR_NOT_ENOUGH_SPACE = ERR_UNZIX_BASE + 4
Global Const ERR_FILE_IS_EMPTY = ERR_UNZIX_BASE + 5
Global Const ERR_WRONG_FILE_FORMAT = ERR_UNZIX_BASE + 6
Global Const ERR_CANNOT_DECODE = ERR_UNZIX_BASE + 7
Global Const ERR_UNEXPECTED_VALUE = ERR_UNZIX_BASE + 8
Global Const ERR_BAD_OVERWRITE = ERR_UNZIX_BASE + 9

'This is required for setting up the tabs in the main form.
Public Const LB_SETTABSTOPS = &H192
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long

'This structure doesn't occur in the file.
'It is merely used as a convenience
Public Type WZ2ENTRY
    HeaderVersion As Integer
    Compression As Integer 'unknown. Always 1
    csize As Currency 'compressed size
    usize As Currency 'uncompressed size
    fnlen As Currency 'length of filename
    Encryption As Byte 'Unknown. Always 0
    checksum(0 To 15) As Byte
    Filename As String
    offset As Currency
End Type

Global Const XOR_KEY_0 = &H52454955
Global Const XOR_KEY_1 = &H4F575159
Global Const XOR_KEY_2 = &H45575452
Global Const XOR_KEY_3 = &H444B4C48
Global Const XOR_KEY_4 = &H42444B4E
Global Const XOR_KEY_5 = &H4C475349
Global Const XOR_KEY_6 = &H42434E5A
Global Const XOR_KEY_7 = &H4E56435A
Global Const XOR_KEY_8 = &H46444142
Global Const XOR_KEY_9 = &H4C594549
Global Const XOR_KEY_10 = &H4A

Global Const TAG_RIFF = &H46464952
Global Const TAG_AVI As Long = &H20495641
Global Const IDI_UNZIXWIN = 101
Global Const IDI_HELP = 102
Global Const IDI_OPENFILE = 103
Global Const IDI_SAVEFILE = 104


Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Public Declare Function LockWindowUpdate Lib "user32" (ByVal hwndLock As Long) As Long


