VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmMain 
   Caption         =   "UnZixWin Extractor"
   ClientHeight    =   5550
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   7755
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   370
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   517
   StartUpPosition =   3  'Windows Default
   Begin MSComctlLib.ImageList ilTools 
      Left            =   6045
      Top             =   1140
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      MaskColor       =   12632256
      _Version        =   393216
   End
   Begin VB.ListBox lstContents 
      Height          =   1230
      Left            =   75
      TabIndex        =   4
      Top             =   825
      Width           =   4215
      Visible         =   0   'False
   End
   Begin MSComctlLib.ListView lvFiles 
      Height          =   2865
      Left            =   45
      TabIndex        =   3
      Top             =   2295
      Width           =   7590
      _ExtentX        =   13388
      _ExtentY        =   5054
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin MSComctlLib.StatusBar sbStatus 
      Align           =   2  'Align Bottom
      Height          =   300
      Left            =   0
      TabIndex        =   2
      Top             =   5250
      Width           =   7755
      _ExtentX        =   13679
      _ExtentY        =   529
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
   End
   Begin MSComctlLib.Toolbar tbTools 
      Align           =   1  'Align Top
      Height          =   420
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   7755
      _ExtentX        =   13679
      _ExtentY        =   741
      ButtonWidth     =   609
      Appearance      =   1
      _Version        =   393216
   End
   Begin VB.Label lblStatus 
      Caption         =   "lblStatus"
      Height          =   285
      Left            =   4800
      TabIndex        =   5
      Top             =   1485
      Width           =   1425
      Visible         =   0   'False
   End
   Begin VB.Label lblContents 
      BackColor       =   &H8000000C&
      Caption         =   "Open a ZIX archive to fill this list"
      ForeColor       =   &H8000000E&
      Height          =   255
      Left            =   30
      TabIndex        =   0
      Top             =   450
      Width           =   7710
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open Archive..."
         Shortcut        =   ^O
      End
      Begin VB.Menu mnuFileSave 
         Caption         =   "&Save As..."
         Enabled         =   0   'False
         Shortcut        =   ^S
         Visible         =   0   'False
      End
      Begin VB.Menu zzSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuSelect 
         Caption         =   "&Select"
         Begin VB.Menu mnuSelectAll 
            Caption         =   "&All"
            Shortcut        =   ^A
         End
         Begin VB.Menu mnuSelectNone 
            Caption         =   "&None"
            Shortcut        =   ^N
         End
         Begin VB.Menu mnuSelectInvert 
            Caption         =   "&Invert Selection"
            Shortcut        =   ^I
         End
      End
   End
   Begin VB.Menu mnuTools 
      Caption         =   "&Tools"
      Begin VB.Menu mnuOptions 
         Caption         =   "&Options"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About UnZixWin..."
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Enum FTEnum
    ftZix = 0
    ftTorrent = 1
    ftAVI = 2
End Enum

Const COLOR_ACUTE = &H2020CC
Const COLOR_WARNING = &HCCCCFF
Const COLOR_STANDARD = vbButtonFace

Private Type ZIXHEADER
    Signature As String * 3
    ManifestOffset As Currency
End Type

Private m_strSourcePath As String 'where Zix file(s) are
Private m_strDestPath As String   'where to extract the info
Private m_strFilename As String
Private m_blnAllowSave As Boolean
Private m_blnRemember As Boolean
Private m_lngLastFilterIndex As Long

Private WithEvents oCDLSave As cCommonDialog
Attribute oCDLSave.VB_VarHelpID = -1
Private WithEvents oCDLOpen As cCommonDialog
Attribute oCDLOpen.VB_VarHelpID = -1
Private WithEvents oBFC As cStreamCopy
Attribute oBFC.VB_VarHelpID = -1
Private m_CurFileType As FTEnum
Private m_Files As Collection
Private Function fCheckAvi(ByVal strFilename As String, objFile As cFileEntry) As Boolean
'This function checks the beginning of an AVI file for the RIFF AVI header.
'If it's not there, it's either crippled, encrypted or garbage, so we can warn the user.
    Dim objZ As ZReadSeqStream
    Dim objSeq As ISequentialStream
    Dim objStream As IStream
    Dim lngFileSize As Long
    Dim lngValue As Long
    Dim strHeader As String
    Dim bEncrypted As Boolean

    bEncrypted = (objFile.Encryption = eeEncryptXOR)
    'Open the ZIX archive as an IStream
    Set objStream = SHCreateStreamOnFile(strFilename, STGM_READ Or STGM_SHARE_EXCLUSIVE)
    'Position to start of AVI data
    objStream.Seek objFile.Start / 10000, STREAM_SEEK_SET
    'We do this differently depending on whether the file is compressed or not
    If objFile.Compression = eeCompNone Then
        'Uncompressed. Read directly
        objStream.Read lngValue, 4
        If bEncrypted Then
            lngValue = lngValue Xor XOR_KEY_0
        End If
        If lngValue = TAG_RIFF Then
            'ok so far. Skip past length and check for "AVI " tag
            objStream.Read lngValue, 4 ' Xor XOR_KEY_1
            objStream.Read lngValue, 4
            If bEncrypted Then
                lngValue = lngValue Xor XOR_KEY_2
            End If
            If lngValue = TAG_AVI Then
                fCheckAvi = True
            End If
        End If
    ElseIf objFile.Compression = eeCompZlib Then
        'we need to decompress the data in order to check it.
        Set objZ = New ZReadSeqStream   'Create ZLIB decompressor
        objZ.Initialize objStream       'Tie it to our IStream
        Set objSeq = objZ               'Aquire ISequentialStream interface
        objSeq.Read lngValue, 4         'Read RIFF header
        If lngValue = TAG_RIFF Then
            objSeq.Read lngFileSize, 4  'Read size of RIFF stream
            objSeq.Read lngValue, 4     'Read AVI header. It should be there
            If lngValue <> TAG_AVI Then
                Exit Function
            End If
            fCheckAvi = True
        End If
    End If
Done:
    Set objSeq = Nothing
    Set objZ = Nothing
    Set objStream = Nothing
End Function
Private Sub SetMeUp()
    'Configure Toolbar, ListView and StatusBar for use
    Dim CH As ColumnHeader
    Dim Pnl As Panel
    Dim Btn As Button
    
    With ilTools
        .ImageHeight = 16
        .ImageWidth = 16
        .BackColor = RGB(&H80, &H80, &H80)
        .ListImages.Add , "Open", LoadResPicture(IDI_OPENFILE, vbResIcon)
        .ListImages.Add , "Save", LoadResPicture(IDI_SAVEFILE, vbResIcon)
        .ListImages.Add , "Help", LoadResPicture(IDI_HELP, vbResIcon)
    End With
    With tbTools
        Set .ImageList = ilTools
        .ButtonHeight = 20
        .ButtonWidth = 20
        .AllowCustomize = False
        Set Btn = .Buttons.Add(, "Open", , , "Open")
        Btn.Enabled = True
        Set Btn = .Buttons.Add(, "Save", , , "Save")
        Btn.Enabled = False
        Set Btn = .Buttons.Add(, "Help", , , "Help")
        Btn.Enabled = True
    End With
    
    With sbStatus
        .Panels.Clear
        Set Pnl = .Panels.Add(, "Index", "0/0")
        Set Pnl = .Panels.Add(, "File", "")
        Pnl.AutoSize = sbrContents
        Set Pnl = .Panels.Add(, "Size", "")
        Pnl.AutoSize = sbrContents
        Set Pnl = .Panels.Add(, "Status", "")
        Pnl.AutoSize = sbrSpring
    End With
    
    With lvFiles
        .MultiSelect = True
        .View = lvwReport
        .LabelEdit = lvwManual
    End With
    Set CH = lvFiles.ColumnHeaders.Add(, "Filename", "File", 140)
    Set CH = lvFiles.ColumnHeaders.Add(, "Size", "Size", 80)
    CH.Alignment = lvwColumnRight
    Set CH = lvFiles.ColumnHeaders.Add(, "Compressed", "Compressed", 80)
    CH.Alignment = lvwColumnRight
    Set CH = lvFiles.ColumnHeaders.Add(, "Comments", "Comments", 200)
    Set CH = lvFiles.ColumnHeaders.Add(, "Compression", "Compression", 100)
    Set CH = lvFiles.ColumnHeaders.Add(, "Encryption", "Encryption", 100)
    Set CH = lvFiles.ColumnHeaders.Add(, "Path", "Path", 100)
    Me.KeyPreview = True
End Sub
Private Sub ReadOptions()
    On Error Resume Next
    m_blnAllowSave = GetSetting(App.Title, "Options", "AllowSave", False)
    If m_blnAllowSave Then
        'If the user didn't explicitly permit writing to the registry, then
        'there is little point trying to objtain the values
        m_strDestPath = GetSetting(App.Title, "Paths", "DestPath", App.Path)
        If Not PathExists(m_strDestPath) Then
            'folder or medium removed. Use defaults
            m_strDestPath = App.Path
        End If
        m_strSourcePath = GetSetting(App.Title, "Paths", "SourcePath", App.Path)
        If Not PathExists(m_strSourcePath) Then
            'folder or medium removed. Use defaults
            m_strSourcePath = App.Path
        End If
        m_blnRemember = GetSetting(App.Title, "Options", "Remember", True)
        m_lngLastFilterIndex = GetSetting(App.Title, "Options", "LastFilterIndex", 1)
    End If
    
End Sub
Private Sub SaveOptions()
    On Error Resume Next
    If m_blnAllowSave Then
        SaveSetting App.Title, "Paths", "DestPath", m_strDestPath
        SaveSetting App.Title, "Paths", "SourcePath", m_strSourcePath
        SaveSetting App.Title, "Options", "AllowSave", True
        SaveSetting App.Title, "Options", "Remember", m_blnRemember
        SaveSetting App.Title, "Options", "LastFilterIndex", m_lngLastFilterIndex
    Else
        'delete what we can. One key for the app title
        'will remain under HKCU\Software\VB and VBA Program Settings
        DeleteSetting App.Title, "Paths"
        DeleteSetting App.Title, "Options"
    End If
End Sub
Private Function GetSelectedItems() As Collection
    Dim SelItems As New Collection
    Dim LI As ListItem
    On Error Resume Next
    For Each LI In lvFiles.ListItems
        If LI.Selected Then
            SelItems.Add LI.Tag
        End If
    Next
    Set GetSelectedItems = SelItems
End Function
Private Sub UpdateControls()
    'Whenever we click something, we should enable or disable some or all menu items.
    Dim SelItems As Collection
    Dim LI As ListItem
    Dim objFile As cFileEntry
    Dim bCanSave As Boolean
    
On Error Resume Next
    Set SelItems = GetSelectedItems
    For Each objFile In SelItems
        If objFile.IsExtractable Then
            bCanSave = True
        End If
    Next
    Me.mnuFileSave.Enabled = bCanSave
    tbTools.Buttons("Save").Enabled = bCanSave
    
End Sub
Private Sub ProcessFile()
    Dim strExt As String
'first off, let's clear out any previous data
    Set m_Files = Nothing
    m_blnAllowSave = False
    lstContents.Clear
    lblContents.Caption = ""
    If m_strFilename = "" Then Exit Sub
    strExt = Extension(m_strFilename)
    Select Case strExt
        Case "zix"
            'zix archives need a bit of probing
            'to get to the file information
            m_CurFileType = ftZix
            If ProbeZix(m_strFilename) Then
                m_blnAllowSave = True
                ListContents (True)
            End If
        Case "torrent"
            m_CurFileType = ftTorrent
            If ProbeTorrent(m_strFilename) Then
                m_blnAllowSave = False
                ListContents (False)
            End If
        Case "avi"
            m_CurFileType = ftAVI
            If ProbeAVI(m_strFilename) Then
                m_blnAllowSave = True
                ListContents (True)
            End If
        Case Else
            Err.Raise ERR_WRONG_FILE_FORMAT, "UnZixWin::ProcessFile", "The file you are trying to open is not recognizable by UnZixWin."
            SetStatus COLOR_WARNING, True, "Unknown file type."
    End Select
    mnuFileSave.Visible = m_blnAllowSave

End Sub
Private Sub SetupTabs()
Dim objFile As cFileEntry
Dim lngMaxLen As Long
Dim arrTabs() As Long
If m_Files Is Nothing Then Exit Sub
If m_Files.Count = 0 Then Exit Sub
'Measure the longest file name
For Each objFile In m_Files
    If Len(objFile.Name) > lngMaxLen Then
        lngMaxLen = Len(objFile.Name)
    End If
Next
ReDim arrTabs(0 To 1)
arrTabs(0) = (lngMaxLen + 3) * 4
SendMessage lstContents.hWnd, LB_SETTABSTOPS, 1, arrTabs(0)

End Sub
Private Sub ListContents(Optional ByVal blnCanExtract As Boolean)
    lstContents.Clear
    Dim objFile As cFileEntry
    Dim LI As ListItem
    Dim Pnl As Panel
    Dim Ls As ListSubItem
    Dim i As Long
    Dim strPath As String, strCompression As String, strEncryption As String
    Dim strComments As String
    
    lvFiles.ListItems.Clear
    For Each Pnl In sbStatus.Panels
        Pnl.Text = ""
    Next
    
    If Not (m_Files Is Nothing) Then
        If m_Files.Count Then
            sbStatus.Panels("Status").Text = "Populating list... please wait."
            Me.MousePointer = vbHourglass
            LockWindowUpdate lvFiles.hWnd 'this speeds up loading something fierce.
            For Each objFile In m_Files
                lstContents.AddItem objFile.Name & vbTab & " (" & objFile.Size & " bytes)"
                lstContents.ItemData(lstContents.NewIndex) = i
                Set LI = lvFiles.ListItems.Add(, , objFile.Name)
                Set Ls = LI.ListSubItems.Add(, "Size", objFile.Size)
                Set Ls = LI.ListSubItems.Add(, "Compressed", objFile.SizeCompressed)
                Select Case objFile.Encryption
                    Case eeEncryptDIVO: strEncryption = "DIVOCodec"
                    Case eeEncryptNone: strEncryption = "None"
                    Case eeEncryptXOR: strEncryption = "XOR"
                    Case Else: strEncryption = "Unknown"
                End Select
                Select Case objFile.Name
                    Case "codec.exe", "decompress_iso.exe"
                        strComments = "WARNING! Almost certainly infected!"
                    Case "Problems viewing the .AVI.html"
                        strComments = "WARNING! Distrust any information in this file!"
                    Case Else:
                        strComments = objFile.Comments
                End Select
                
                Select Case objFile.Compression
                    Case eeCompNone: strCompression = "None"
                    Case eeCompZlib: strCompression = "ZLIB"
                    Case eeCompUnknown: strCompression = "Unknown"
                End Select
                Set Ls = LI.ListSubItems.Add(, "Comments", strComments)
                Set Ls = LI.ListSubItems.Add(, "Compression", strCompression)
                Set Ls = LI.ListSubItems.Add(, "Encryption", strEncryption)
                Set Ls = LI.ListSubItems.Add(, "Path", objFile.Path)
                'let the listitem reference the file object for easy access
                Set LI.Tag = objFile
                strCompression = "": strEncryption = "": strPath = "": strComments = ""
            Next 'objFile
            sbStatus.Panels("Status").Text = m_Files.Count & " items."
            If blnCanExtract Then
                sbStatus.Panels("Status").Text = "Select contents to extract."
            Else
                sbStatus.Panels("Status").Text = "These files cannot be extracted."
            End If
        End If
        SetStatus COLOR_STANDARD, False, m_Files.Count & " files(s)"
    Else
        sbStatus.Panels("Status").Text = "There's nothing to do."
    End If
Done:
    Me.MousePointer = vbNormal
    LockWindowUpdate ByVal 0&
    Exit Sub
    
ErrHandler:
    
    Resume Done
End Sub
Private Sub ResizeControls()
    Dim lngTop As Long, lngLeft As Long
    Dim lngWidth As Long, lngWindowWidth As Long
    Dim lngHeight As Long, lngWindowHeight As Long
    lngWindowWidth = Me.ScaleWidth
    lngWindowHeight = Me.ScaleHeight
    
    'Resize and reposition the legend label
    lngTop = 0: lngHeight = Me.lblContents.Height
    lngWidth = lngWindowWidth: lngHeight = lblContents.Height
    lblContents.Move lngLeft, lngTop, lngWidth, lngHeight
    lngTop = lngWindowHeight - 20: lngLeft = 0: lngWidth = lngWindowWidth: lngHeight = 20
    
    'Resize and reposition status label
    lblStatus.Move lngLeft, lngTop, lngWidth, lngHeight
    
    'Slap lstContents into place
    lngTop = lblContents.Top + lblContents.Height
    lngHeight = (lngWindowHeight - lngTop) - lblStatus.Height
    lstContents.Move lngLeft, lngTop, lngWidth, lngHeight
    
    lngLeft = 0: lngTop = tbTools.Height: lngHeight = ScaleHeight - (lngTop + sbStatus.Height)
    lvFiles.Move lngLeft, lngTop, lngWidth, lngHeight
    
End Sub
Private Function ProbeAVI(ByVal strPath As String) As Boolean
    Set m_Files = New Collection
    Dim objFile As cFileEntry
    Dim objReader As cStreamReader
    Dim lngSize1 As Long
    Dim lngSize2 As Long
    Dim cySize2 As Long
    Dim cySize3 As Currency
    Dim lngVal As Long
    
On Error GoTo ErrHandler

    Set objReader = New cStreamReader
    objReader.CreateOnFile (strPath)
    'First, check that the RIFF tag is first
    If objReader.ReadLong = TAG_RIFF Then
        'Read in byte length of (possibly) bogus movie
        lngSize1 = objReader.ReadLong
        'If there's no data after that, then this
        'file is not 3w Encrypted
        If lngSize1 + 8 = objReader.TotalSize Then
            'AVI ends where it's supposed to, so AVI file is probably OK.
            SetStatus COLOR_WARNING, True, "Nothing to do."
            MsgBox "This AVI file does not appear to be 3w Encrypted." & _
             vbCrLf & "There is nothing to do with it.", vbInformation
        Else
            BugMessage "AVI RIFF chunk size: " & lngSize1
            'There is more data at the ass end of this file.
            'Let's snoop for known 3w signatures
            'Junp past the end of the data.
            objReader.SeekPos lngSize1, STREAM_SEEK_SET
            'get the second offset. It appears to be a quadword,
            'and it is absolute.
            cySize2 = objReader.ReadLongLong
            'The data in between are typically all zeroes. We could
            'check for that, but that would take too long.
            'So, we simply jump to that offset
            objReader.SeekPos cySize2, STREAM_SEEK_SET
            'Then we skip past 100 filler bytes. These are typically
            'all &HFF. We could check, but that's redundant
            objReader.SeekPos 100, STREAM_SEEK_CUR
            'Here's where the real movie would start.
            'Let's check for the RIFF header
            'objReader.Push 'store the position
            lngVal = objReader.ReadLong Xor XOR_KEY_0
            If lngVal = TAG_RIFF Then
                'Found the RIFF header
                BugMessage "Found internal AVI file at " & objReader.Pos - 4
                lngSize1 = objReader.ReadLong Xor XOR_KEY_1 'obtain and decrypt file size
                BugMessage "Size of internal file: " & lngSize1
                
                Set objFile = New cFileEntry
                'Account for the fact we just read four bytes
                objFile.Start = objReader.Pos - 8
                objFile.Finish = objReader.TotalSize
                objFile.Size = objReader.TotalSize - objFile.Start
                'We don't really know which movie this actually is.
                'We could give it the same name as the enclosing one,
                'but that would be risky. Just tack on a prefix to the name.
                objFile.Name = "decrypted_" & NoPath(strPath)
                objFile.Encryption = eeEncryptXOR
                m_Files.Add objFile
                ProbeAVI = True
                
            End If
        End If
    Else
        'Not an AVI file
        MsgBox "This is not an AVI File." & vbCrLf & _
          "The content might be garbage."
    End If

Done:
    Set objReader = Nothing
    Exit Function
    
ErrHandler:
    Select Case Err.Number
        Case 0
        Case Else
        Select Case MsgBox(FormatVBError(Err.Number, Err.Description, Err.Source), _
           vbAbortRetryIgnore, "Error parsing AVI file")
           Case vbAbort: Resume Done
           Case vbRetry: Resume
           Case vbIgnore: Resume Next
        End Select
    End Select

    
End Function
Private Function ProbeTorrent(ByVal strPath As String) As Boolean
    Dim objReader As cStreamReader
    Dim objManifest As cManifest
    Dim strError As String
    
On Error GoTo ErrHandler
    lblStatus.Caption = "Analyzing Torrent..."
    Set objReader = New cStreamReader
    objReader.CreateOnFile (strPath)
    Set objManifest = New cManifest
    If objManifest.Parse(objReader) Then
        Set m_Files = objManifest.Files
        ProbeTorrent = True
    End If
Done:
    On Error Resume Next
    Set objReader = Nothing
    Set objManifest = Nothing
    Exit Function
    
ErrHandler:
    Select Case Err.Number
        Case ERR_PARSEERROR
            ProbeTorrent = False
            SetStatus COLOR_WARNING, True, Err.Description
            'propagate error
            Err.Raise Err.Number, Err.Source, Err.Description, Err.HelpFile, Err.HelpContext
        Case Else
            SetStatus COLOR_WARNING, True, Err.Description
            Select Case MsgBox(FormatVBError(Err.Number, Err.Description, Err.Source), vbAbortRetryIgnore, "Error Parsing Torrent")
                Case vbAbort:
                    ProbeTorrent = False
                    Resume Done
                Case vbRetry: Resume
                Case vbIgnore: Resume Next
            End Select
    End Select
        
End Function
Private Function ProbeZix(ByVal strPath As String) As Boolean
    Dim Header As ZIXHEADER
    Dim objReader As cStreamReader
    Dim objManifest As cManifest
    Dim strHeader As String
    On Error GoTo ErrHandler
    
    lblStatus.Caption = "Analyzing archive..."
    Set objReader = New cStreamReader
    objReader.CreateOnFile (strPath)
    If objReader.TotalSize = 0 Then
        Err.Raise ERR_FILE_IS_EMPTY, "::ProbeZix", "The file is empty."
    End If
    Header.Signature = objReader.ReadCharsA(3)
    
    If Header.Signature = "ZIX" Then 'We've got a Zix archive
        'Seek to the manifest and probe it
        Set objManifest = New cManifest
        objManifest.ParentFile = strPath
        Header.ManifestOffset = objReader.ReadLongLong
        objReader.SeekPos Header.ManifestOffset, STREAM_SEEK_SET
        'We just sought to the end of the payload.
        'The rest of the archive is the manifest.
        If objManifest.Parse(objReader) Then
            'Successfully parsed manifest. Now we can add the
            'contents to our list box
            Set m_Files = objManifest.Files
            ProbeZix = True
        Else
            SetStatus COLOR_WARNING, True, "Failed to parse archive."
            MsgBox "Failed to parse contents of archive."
        End If
    ElseIf Header.Signature = "WIN" Then
        'WINZIX header? version 2?
        objReader.SeekPos 0, STREAM_SEEK_SET 'rewind
        strHeader = objReader.ReadCharsA(6)
        If strHeader = "WINZIX" Then
            'Version 2 file. Pass the buck to that.
            ProbeZix = ProbeZix2(objReader)
            Exit Function
        Else
            ProbeZix = False
            SetStatus COLOR_WARNING, True, "This is not a Zix Archive. Header mismatch."
            Err.Raise ERR_WRONG_FILE_FORMAT, "ProbeZix", "This is not a ZIX archive."
        End If
        
    Else
        ProbeZix = False
        Err.Raise ERR_WRONG_FILE_FORMAT, "ProbeZix", "This is not a ZIX archive."
        'TODO: Throw error
    End If
    ProbeZix = True
    
Done:
    On Error Resume Next
    Set objReader = Nothing
    Set objManifest = Nothing
    Exit Function
    
ErrHandler:
    Select Case MsgBox(FormatVBError(Err.Number, Err.Description, Err.Source), vbAbortRetryIgnore, "Error Parsing Archive")
        Case vbAbort: Resume Done
        Case vbRetry: Resume
        Case vbIgnore: Resume Next
    End Select

End Function
Private Function ProbeZix2(objReader As cStreamReader) As Boolean
'Probes version 2.0 and above.
'When we enter the proc, the reader is positioned to just after the 'WINZIX' file header.
'To safeguard against future versions, this code uses paranoid precautions to catch errors
'before they mess up.
Dim intVersion As Long
Dim Entry As WZ2ENTRY
Dim strFilename As String
Dim strError As String
Dim objFile As cFileEntry
Dim bIgnore As Boolean
Dim f As frmInfo

On Error GoTo ErrHandler


Set m_Files = New Collection
'Switch reader into returning values in intel byte order instead
'of network bye order. We do this by telling the reader that its
'data stream contains NBO numbers. It converts them on the fly.
objReader.ByteOrder = eeMotorola
'Read archive version. It should always be a 3
'We could assert for this, but only if our logic breaks down.
intVersion = objReader.ReadWord
If intVersion <> 3 Then
'    Err.Raise ERR_UNEXPECTED_VALUE
End If
'repeat for every occurence of a file
Do
    Set objFile = New cFileEntry
    'Load file data into a struct before assigning to object
    With objFile
        .HeaderVersion = intVersion
        .ParentFileName = m_strFilename
        .Compression = objReader.ReadWord
        .SizeCompressed = objReader.ReadLongLong
        .Size = objReader.ReadLongLong
        .fnlen = objReader.ReadLongLong
        .Encryption = Asc(objReader.ReadChar)
        objReader.Read Entry.checksum(0), 16
        .MD5Sum = Entry.checksum
        If .fnlen < 0 Or .fnlen > 1024 Then
            'Ugh! Something is fishy! Don't even bother to try
            'to read this filename, since it may be 4 gigs in length.
            .Name = "(Not Read - length is impossible)"
            Err.Raise ERR_UNEXPECTED_VALUE
        End If
        .Name = objReader.ReadCharsA(.fnlen)
    End With
    objFile.Path = NoFile(objFile.Name, "/")
    objFile.Name = NoPath(objFile.Name, "/")
    'Here's where we sanity-check what we got. If anything smells fishy, we check the
    'header version. If it's new, we inform the user.
    If objFile.Compression <> 1 Or _
        Entry.Encryption <> 0 Then
            If bIgnore = False Then
                Err.Raise ERR_UNEXPECTED_VALUE
            End If
    End If
    'Zero-size files are legal, but the compressed
    'size should match. Unless it does, something
    'is fishy.
    If objFile.Size = 0 Then
        If objFile.SizeCompressed <> 0 Then
            Err.Raise ERR_UNEXPECTED_VALUE
        End If
    ElseIf objFile.SizeCompressed = 0 Then
        If objFile.Size <> 0 Then
            Err.Raise ERR_UNEXPECTED_VALUE
        End If
    End If
    objFile.Start = objReader.Pos
    objFile.Finish = objFile.Start + objFile.SizeCompressed
    m_Files.Add objFile
    'skip past compressed data
    objReader.SeekPos objFile.SizeCompressed, STREAM_SEEK_CUR
Loop While objReader.EOF = False
ProbeZix2 = True

Done:
    Exit Function
    
ErrHandler:
    Select Case Err.Number
    Case 0:
    Case ERR_UNEXPECTED_VALUE:
        Set f = New frmInfo
        If f.ReportParseError(objFile) = vbIgnore Then
            bIgnore = True
            Unload f
            Set f = Nothing
            Resume Next
        End If
        Set f = Nothing
        Resume Done
    Case Else
        Select Case MsgBox(Err.Number & ": " & Err.Description, vbAbortRetryIgnore, "Error Parsing ZIX")
            Case vbAbort: Resume Done
            Case vbRetry: Resume
            Case vbIgnore: Resume Next
        End Select
    End Select

End Function

Private Sub Form_Activate()
    Center Me
End Sub

Private Sub Form_Load()
    'Obtain any saved source and destination paths for the benefit
    'of browsing
    Call ReadOptions
    'Arrange controls
    Call SetMeUp
    'use them for module-level work
    Me.ScaleMode = 3 'set to pixels, in case we forget
    Set oCDLOpen = New cCommonDialog
    Set oCDLSave = New cCommonDialog
End Sub

Private Sub Form_Resize()
    On Error Resume Next
    If Me.WindowState = vbMinimized Then
        Exit Sub
    End If
    Call ResizeControls
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim LI As ListItem
    Call SaveOptions
    
    If lvFiles.ListItems.Count Then
        'release any object references dangling
        For Each LI In lvFiles.ListItems
            LI.Tag = Null
        Next
        lvFiles.ListItems.Clear
    End If
End Sub
Private Sub SetStatus(ByVal Color As OLE_COLOR, ByVal Bold As Boolean, ByVal strText As String)
    With sbStatus.Panels("Status")
        .Text = strText
    End With
End Sub

Private Sub lstContents_Click()
    Dim objFile As cFileEntry
    Dim idx As Long
On Error GoTo ErrHandler
    mnuFileSave.Enabled = False
    SetStatus vbButtonFace, False, ""
    If Len(lstContents.Text) Then
        'there's something there.
        'If we can extract the file, we enable the menu
        idx = lstContents.ListIndex + 1
        If Not (m_Files Is Nothing) Then
            If m_Files.Count Then
                Set objFile = m_Files(idx)
                If objFile.IsExtractable Then
                    'Display warnings about common viruses and hoaxes.
                    'Yeech! I'll write something more elegant in an upcoming
                    'release. I promise!
                    If (objFile.Name = "codec.exe") Then
                        'Infected with Downloader.Agent.KNG
                        SetStatus COLOR_ACUTE, True, "WARNING: Almost certainly infected!"
                    ElseIf (objFile.Name) = "decompress_iso.exe" Then
                        SetStatus COLOR_ACUTE, True, "WARNING: Almost certainly infected!"
                    ElseIf (Extension(objFile.Name) = "exe") Then
                        SetStatus COLOR_WARNING, True, "WARNING: Might be infected. Ectract at your own risk."
                    ElseIf (objFile.Name = "Problems viewing the .AVI.html") Then
                        'Tries to lure you to install spyware
                        SetStatus COLOR_WARNING, True, "WARNING: Distrust any information in this file!"
                    ElseIf (objFile.Name = "001.JPG" And objFile.Size = 84738) Then
                        'This, too.
                        SetStatus COLOR_WARNING, True, "WARNING: Image contains misleading instructions."
                    ElseIf Extension(objFile.Name) = "avi" Then
                        'Quick check to see if the RIFF headers are in place.
                        If (fCheckAvi(m_strFilename, objFile) = False) Then
                            SetStatus COLOR_WARNING, True, "WARNING: AVI seems to be garbled or garbage. Waste of time."
                        Else
                            SetStatus COLOR_STANDARD, False, objFile.Name & " (" & FormatBytes(objFile.Size) & ")"
                        End If
                    Else
                        SetStatus vbButtonFace, False, objFile.Name & " (" & FormatBytes(objFile.Size) & ")"
                    End If
                    'We can only warn the user about any problems or risks. Prohibiting
                    'extraction isn't very user friendly. So...
                    mnuFileSave.Enabled = True
                Else
                    'What's the major problem?
                    If objFile.IsCompressed Then
                        SetStatus COLOR_WARNING, True, "The file is compressed. Cannot extract."
                    Else
                        'remaining option: the file simply isn't there.
                        SetStatus COLOR_WARNING, False, "This file is virtual. Cannot extract."
                    End If
                End If 'file could be extracted
            End If 'there were any files
        End If 'we have a file collection
    End If 'the user selected anything
Done:
    Exit Sub

ErrHandler:
    Select Case MsgBox(FormatVBError(Err.Number, Err.Description, Err.Source), vbAbortRetryIgnore, "An error has occurred!")
        Case vbAbort: Resume Done
        Case vbRetry: Resume
        Case vbIgnore: Resume Next
    End Select
    
End Sub

Private Sub lvFiles_ItemClick(ByVal Item As MSComctlLib.ListItem)
    'This gets called for every item selected in the listview,
    'whether or not we've explicitly clicked on it. Therefore,
    'we should defer UI updates until afterwards.
    'Call UpdateControls
    Dim LI As ListItem
    Dim objFile As cFileEntry
    Set LI = lvFiles.SelectedItem
    On Error Resume Next
    sbStatus.Panels("Index").Text = LI.Index & "/" & lvFiles.ListItems.Count
    If Not (LI Is Nothing) Then
        Set objFile = LI.Tag
        sbStatus.Panels("File").Text = objFile.Name
        sbStatus.Panels("Size").Text = FormatBytes(objFile.Size)
        sbStatus.Panels("Status").Text = objFile.Comments
        If objFile.IsExtractable Then
            Me.mnuFileSave.Enabled = True
            tbTools.Buttons("Save").Enabled = True
        End If
    End If
End Sub

Private Sub mnuExit_Click()
    Unload Me
End Sub

Private Sub mnuFileOpen_Click()
Dim strError As String
On Error GoTo ErrHandler
    'Right here is a good place to reset all the stuff from previous
    'selections
    Set m_Files = Nothing
    lstContents.Clear
    mnuFileSave.Enabled = False
    tbTools.Buttons("Save").Enabled = False
    SetStatus vbButtonFace, False, ""
    m_strFilename = ""
    Me.Caption = App.Title
    
    With oCDLOpen
        .InitDir = m_strSourcePath
        .DialogTitle = "Select ZIX archive or Torrent"
        .Filter = "ZIX archives (*.ZIX)|*.zix|AVI Files (3w Encoded) (*.avi)|*.avi|BitTorrent files (*.torrent)|*.torrent|All Files (*.*)|*.*"
        .FilterIndex = m_lngLastFilterIndex
        .flags = OFN_FILEMUSTEXIST Or OFN_PATHMUSTEXIST
        .CancelError = True
        .ShowOpen
        m_strFilename = .Filename
    End With
    If m_blnRemember Then
        m_strSourcePath = NoFile(m_strFilename)
        m_lngLastFilterIndex = oCDLOpen.FilterIndex
    End If
    SetStatus vbButtonFace, False, m_strFilename
    
    'Kick off the parsing
    Call ProcessFile
    Me.Caption = "[ " & NoPath(m_strFilename) & " ] - " & App.Title
Done:
    Exit Sub
    
ErrHandler:
    If Err = 20001 Then
        'cancel
        SetStatus vbButtonFace, False, "Open canceled."
        Resume Done
    Else
        strError = FormatVBError(Err.Number, Err.Description, Err.Source)
        
        Select Case MsgBox(strError, vbAbortRetryIgnore, "Error Opening File")
        Case vbAbort:
            SetStatus vbButtonFace, False, "Open Canceled."
            Resume Done
        Case vbRetry: Resume
        Case vbIgnore: Resume Next
        End Select
    End If
    
    
End Sub

Private Sub mnuFileSave_Click()
    
    Dim lngIndex As Long
    Dim objFile As cFileEntry
    Dim strDestFile As String
    Dim f As frmStreamCopyProgress
    Dim SelFiles As Collection
    Dim FileCount As Long
    Dim TotalSize As Currency
    Const cdlCancel = 32755
    
On Error GoTo ErrHandler
    Set SelFiles = GetSelectedItems
    If SelFiles.Count = 0 Then Exit Sub
    For Each objFile In SelFiles
        FileCount = FileCount + 1
        TotalSize = TotalSize + objFile.Size
        strDestFile = objFile.Name
    Next
        
    'Then we politely ask the useer where to put it
    If SelFiles.Count = 1 Then
DoPrompt:
        With oCDLSave
            .InitDir = m_strDestPath
            .flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST
            .DialogTitle = "Extract and save as:"
            .CancelError = True
            .Filter = "All Files (*.*)|*.*"
            .FilterIndex = 0
            .FileTitle = strDestFile 'suggest original name
            .Filename = strDestFile
            .ShowSave
        End With
        If oCDLSave.CancelError = True Then
            Err.Raise cdlCancel
        End If
        'pick up the name the user entered or accepted
        strDestFile = oCDLSave.Filename
        'If we get here, and the destination file exists, we
        'must have had an OK to overwrite it.
        If FileExists(strDestFile) Then
            'DOUBLE-CHECK! The user might have accidentally pointed to
            'the parent archive.
            If StrComp(strDestFile, m_strFilename, vbTextCompare) = 0 Then
                Err.Raise ERR_BAD_OVERWRITE
            End If
            'Kill doesn't work on hidden files ('file not found error')
            'So, pre-empt this by clearing the offending attributes.
            SetAttr strDestFile, 0&
            Kill strDestFile
        End If
        m_strDestPath = NoFile(strDestFile)
    Else 'multiple files selected
        strDestFile = modBrowse.BrowseForFolder(Me.hWnd, "Select Target Folder for multiple files")
        If strDestFile = "" Then 'user canceled browsing
            Err.Raise cdlCancel
        End If
        m_strDestPath = strDestFile
        strDestFile = ""
    End If 'selfiles.count = 1
    'Check to see that we have enough space
    If GetFreeSpace(m_strDestPath) < TotalSize Then
        Err.Raise ERR_NOT_ENOUGH_SPACE, App.Title, "There is not enough space left on the target drive."
    End If
    SetStatus vbButtonFace, False, "Extracting files... Please wait."
    'Instantiate a handy object to do the extraction and
    'raise some nice events in the process
    Set oBFC = New cStreamCopy
    Set f = New frmStreamCopyProgress
    f.FileCount = SelFiles.Count
    f.CopyObject = oBFC
    f.Show
    Me.MousePointer = vbHourglass
    For Each objFile In SelFiles
        'Compose full destination file path
        strDestFile = FixPath(m_strDestPath, "\")
        If Len(objFile.Path) Then
            strDestFile = strDestFile & FixPath(objFile.Path, "\")
        End If
        'At this point, strDestfile contains only the combined path
        'of the target folder and any subdirectory specified by
        'the cFileEntry's path member. To avoid trouble, we should
        'create the path before trying to create the file.
        If Not FolderExists(strDestFile) Then
            CreateFolder (strDestFile)
        End If
        'Now append the filename
        strDestFile = FixPath(strDestFile, "\") & objFile.Name
        With oBFC
            .SourceFile = objFile.ParentFileName
            .SourceOffset = objFile.Start
            .Compression = objFile.Compression
            .Encryption = objFile.Encryption
            If objFile.Compression = eeCompNone Then
                .SourceSize = objFile.Size
                .DestSize = objFile.Size
            Else
                .SourceSize = objFile.SizeCompressed
                .DestSize = objFile.Size
            End If
            .DestinationFile = strDestFile
        End With
        'We'll use a nifty little dialog to entertain
        'the user during this potentially lengthy process
        'Me.Enabled = False 'kill input while copy in progress
        If oBFC.Copy = True Then
            'everything went okay.
            SetStatus COLOR_STANDARD, False, "Extraction complete!"
        Else
            If oBFC.Canceled Then
                SetStatus COLOR_WARNING, False, "Extraction aborted."
            End If
        End If
    Next 'objfile
Done:
    On Error Resume Next
    Me.Enabled = True
    Me.MousePointer = vbNormal
    Set objFile = Nothing
    Set oBFC = Nothing
    'Unload f
    Set f = Nothing
    Exit Sub
    
ErrHandler:
    Select Case Err.Number
        Case cdlCancel
            SetStatus COLOR_WARNING, False, "Extraction canceled."
            Resume Done
        Case ERR_BAD_OVERWRITE
            MsgBox "You cannot overwrite the parent file" & vbCrLf & _
             "with the one inside it." & vbCrLf & vbCrLf & _
             "Source: " & m_strFilename & vbCrLf & _
             "Destinaiton: " & strDestFile, vbRetry Or vbAbort
             Resume DoPrompt
        Case Else
            Select Case MsgBox(FormatVBError(Err.Number, Err.Description, Err.Source), vbAbortRetryIgnore, "Error Saving File")
                Case vbAbort: Resume Done
                Case vbRetry:
                    If Err.Number = ERR_NOT_ENOUGH_SPACE Then
                        'give the user a chance to save someplace else
                        Resume DoPrompt
                    Else
                        'whatever went wrong, we retry it
                        Resume
                    End If
                 Case vbIgnore: Resume Next
            End Select
    End Select
End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

Private Sub mnuOptions_Click()
    Dim f As frmOptions
    Set f = New frmOptions
    With f
        .AllowSave = m_blnAllowSave
        .SourcePath = m_strSourcePath
        .DestPath = m_strDestPath
        .Remember = m_blnRemember
    End With
    f.Show vbModal, Me
    If f.Response = vbOK Then
        m_strSourcePath = f.SourcePath
        m_strDestPath = f.DestPath
        m_blnAllowSave = f.AllowSave
        m_blnRemember = f.Remember
    End If
    Unload f
    Set f = Nothing
End Sub

Private Sub mnuSelectAll_Click()
    Dim LI As ListItem
    Dim bCanSave As Boolean
    Dim objFile As cFileEntry
    On Error Resume Next
    For Each LI In lvFiles.ListItems
        LI.Selected = True
        Set objFile = LI.Tag
        If objFile.IsExtractable Then
            bCanSave = True
        End If
    Next
    mnuFileSave.Enabled = bCanSave
    tbTools.Buttons("Save").Enabled = bCanSave
End Sub

Private Sub mnuSelectInvert_Click()
    Dim LI As ListItem
    Dim objFile As cFileEntry
    Dim bCanSave As Boolean
    On Error Resume Next
    For Each LI In lvFiles.ListItems
        LI.Selected = Not (LI.Selected)
        If LI.Selected Then
            Set objFile = LI.Tag
            If objFile.IsExtractable Then
                bCanSave = True
            End If
        End If
    Next LI
    mnuFileSave.Enabled = bCanSave
    tbTools.Buttons("Save").Enabled = bCanSave
    Set LI = Nothing
    Set objFile = Nothing
End Sub

Private Sub mnuSelectNone_Click()
    Dim LI As ListItem
    On Error Resume Next
    For Each LI In lvFiles.ListItems
        LI.Selected = False
    Next LI
    mnuFileSave.Enabled = False
    tbTools.Buttons("Save").Enabled = False
End Sub

Private Sub oBFC_Done()
    SetStatus vbButtonFace, False, "Extraction Completed."
End Sub

Private Sub oBFC_UserCanceled()
    SetStatus &HCCCCFF, False, "Extraction Aborted."
End Sub

Private Sub tbTools_ButtonClick(ByVal Button As MSComctlLib.Button)
    Select Case Button.Key
        Case "Open"
            Call mnuFileOpen_Click
        Case "Save"
            Call mnuFileSave_Click
        Case "Help"
            MsgBox "Sorry, No help file available yet.", vbOKOnly + vbQuestion
    End Select
End Sub
